Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDecomposeFilter Class Reference

`#include <vtkImageDecomposeFilter.h>`

Inheritance diagram for vtkImageDecomposeFilter:

[legend]
Collaboration diagram for vtkImageDecomposeFilter:

[legend]
List of all members.

## Detailed Description

Filters that execute axes in series.

Date:
  2002/11/21 16:15:19

Revision:
  1.24

This superclass molds the vtkImageIterateFilter superclass so it iterates over the axes. The filter uses dimensionality to determine how many axes to execute (starting from x). The filter also provides convenience methods for permuting information retrieved from input, output and vtkImageData.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (61%)
  - Schroeder, Will (13%)
  - Lorensen, Bill (10%)
  - King, Brad (6%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageDecomposeFilter.h)`
  - .`cxx` (`/Imaging/vtkImageDecomposeFilter.cxx)`

Definition at line 48 of file vtkImageDecomposeFilter.h.

## [NOHEADER]
typedef vtkImageIterateFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | IsTypeOf (const char *type)
vtkImageDecomposeFilter * | SafeDownCast (vtkObject *o)
## Public Methods
void | SetDimensionality (int dim)
virtual int | GetDimensionality ()
void | PermuteIncrements (int *increments, int &inc0, int &inc1, int &inc2)
void | PermuteExtent (int *extent, int &min0, int &max0, int &min1, int &max1, int &min2, int &max2)
## Protected Methods
| vtkImageDecomposeFilter ()
| ~vtkImageDecomposeFilter ()
## Protected Attributes
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageIterateFilter vtkImageDecomposeFilter::Superclass

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, and vtkImageSeparableConvolution. Definition at line 54 of file vtkImageDecomposeFilter.h.

## Constructor & Destructor Documentation

vtkImageDecomposeFilter::vtkImageDecomposeFilter | ( |  | ) | `[protected]`

vtkImageDecomposeFilter::~vtkImageDecomposeFilter | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkImageDecomposeFilter.h.

## Member Function Documentation

virtual const char* vtkImageDecomposeFilter::GetClassName | ( |  | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, and vtkImageSeparableConvolution.

int vtkImageDecomposeFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, and vtkImageSeparableConvolution.

virtual int vtkImageDecomposeFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, and vtkImageSeparableConvolution.

vtkImageDecomposeFilter* vtkImageDecomposeFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, and vtkImageSeparableConvolution.

void vtkImageDecomposeFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageIterateFilter. Reimplemented in vtkImageEuclideanDistance, and vtkImageSeparableConvolution.

void vtkImageDecomposeFilter::SetDimensionality | ( | int | dim | ) |

| Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2.

virtual int vtkImageDecomposeFilter::GetDimensionality | ( |  | ) | `[virtual]`

| Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2.

void vtkImageDecomposeFilter::PermuteIncrements | ( | int * | increments,
|  | int & | inc0,
|  | int & | inc1,
|  | int & | inc2
| ) |

| Private methods kept public for template execute functions.

void vtkImageDecomposeFilter::PermuteExtent | ( | int * | extent,
|  | int & | min0,
|  | int & | max0,
|  | int & | min1,
|  | int & | max1,
|  | int & | min2,
|  | int & | max2
| ) |

| Private methods kept public for template execute functions.

## Member Data Documentation

int vtkImageDecomposeFilter::Dimensionality`[protected]`

| Definition at line 76 of file vtkImageDecomposeFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageDecomposeFilter.h